type
  Dir {forward, backward, off};
  State {sink, cp_off, source};
  Load_15 [0..15];
  Load_13 [0..13];
  Load_8 [0..8];
  Load_16 [0..16];
  Load_20 [0..20];

variable
  bool S8_powered;
  Dir L7_dir;
  bool S7_powered;
  Load_13 L7_load;
  Dir L6_dir;
  Load_13 L6_load;
  bool S6_powered;
  Dir L5_dir;
  Load_13 L5_load;
  bool S5_powered;
  Load_15 L61_load;
  Dir L4_dir;
  Load_15 L4_load;
  Dir L61_dir;
  bool S4_powered;
  Load_13 L3_load;
  Dir L2_dir;
  Load_16 L2_load;
  Dir L3_dir;
  bool S1_powered;
  Dir L1_dir;
  Load_16 L1_load;
  Load_20 L58_load;
  Dir L58_dir;
  bool S50_powered;
  bool P2_powered;
  bool S2_powered;
  Dir L59_dir;
  Load_8 L59_load;
  Load_13 L60_load;
  Dir L60_dir;
  bool S3_powered;
  Load_13 L66_load;
  Dir L66_dir;
  bool S51_powered;
  bool S55_powered;
  Load_8 L65_load;
  Dir L65_dir;
  bool S52_powered;
  Load_13 L62_load;
  Dir L62_dir;
  Load_13 L64_load;
  Dir L64_dir;
  Load_13 L63_load;
  bool S54_powered;
  Dir L63_dir;
  bool S53_powered;
  bool S10_powered;
  Dir L14_dir;
  bool S9_powered;
  Load_8 L14_load;
  Dir L9_dir;
  Load_13 L9_load;
  bool S11_powered;
  Dir L11_dir;
  Load_13 L11_load;
  Dir L10_dir;
  bool S12_powered;
  Dir L15_dir;
  Load_13 L10_load;
  Load_13 L15_load;
  bool P1_powered;
  Load_13 L51_load;
  Load_16 L16_load;
  Dir L51_dir;
  Load_13 L50_load;
  Load_13 L30_load;
  Load_13 L22_load;
  Dir L16_dir;
  Dir L12_dir;
  Dir L50_dir;
  Dir L30_dir;
  Dir L22_dir;
  Load_13 L12_load;
  bool S56_powered;
  bool S13_powered;
  Load_20 L13_load;
  Dir L13_dir;
  Load_13 L55_load;
  Dir L55_dir;
  bool S14_powered;
  bool S15_powered;
  Load_13 L54_load;
  Dir L54_dir;
  bool S16_powered;
  Dir L52_dir;
  Load_13 L52_load;
  Load_8 L53_load;
  Dir L53_dir;
  bool S17_powered;
  Load_13 L56_load;
  Dir L56_dir;
  bool S18_powered;
  Dir L57_dir;
  Load_13 L57_load;
  bool S19_powered;
  Load_8 L38_load;
  Dir L38_dir;
  Load_13 L37_load;
  bool S20_powered;
  Dir L37_dir;
  bool S21_powered;
  bool S29_powered;
  Load_13 L45_load;
  Dir L45_dir;
  Dir L44_dir;
  Load_8 L44_load;
  bool S36_powered;
  Dir L31_dir;
  bool S37_powered;
  Dir L32_dir;
  Load_16 L32_load;
  Load_16 L31_load;
  bool S35_powered;
  Dir L33_dir;
  Load_13 L33_load;
  bool S34_powered;
  bool S30_powered;
  Dir L49_dir;
  Load_15 L49_load;
  bool S33_powered;
  Load_16 L46_load;
  Dir L46_dir;
  Load_13 L48_load;
  Dir L48_dir;
  Load_16 L47_load;
  bool S31_powered;
  Dir L47_dir;
  bool S32_powered;
  Dir L28_dir;
  Load_20 L28_load;
  bool S38_powered;
  Load_8 L29_load;
  Dir L29_dir;
  bool S39_powered;
  Load_15 L34_load;
  Dir L34_dir;
  bool S28_powered;
  Dir L43_dir;
  Load_20 L43_load;
  bool S22_powered;
  bool S27_powered;
  Dir L42_dir;
  Load_13 L42_load;
  bool S26_powered;
  Dir L41_dir;
  Load_13 L41_load;
  bool S25_powered;
  Load_13 L36_load;
  Dir L36_dir;
  Load_13 L40_load;
  Dir L40_dir;
  Load_13 L39_load;
  bool S23_powered;
  Dir L39_dir;
  bool S24_powered;
  bool S44_powered;
  Load_8 L23_load;
  Dir L23_dir;
  Load_13 L21_load;
  Dir L21_dir;
  bool S43_powered;
  Load_13 L24_load;
  Dir L24_dir;
  bool S42_powered;
  Load_13 L25_load;
  Dir L25_dir;
  bool S41_powered;
  Load_13 L26_load;
  Dir L26_dir;
  bool S40_powered;
  bool S49_powered;
  bool S45_powered;
  Load_16 L17_load;
  Dir L17_dir;
  Load_13 L20_load;
  Dir L20_dir;
  bool S48_powered;
  Load_13 L18_load;
  Load_15 L19_load;
  Dir L18_dir;
  bool S46_powered;
  Dir L19_dir;
  bool S47_powered;

rule
//Line L28
  (L28_dir != off && (L29_dir == backward) >> L28_dir == backward) &&
  (L28_dir == backward >> L28_dir != off && (L29_dir == backward));
  (L28_dir != off && (L31_dir == backward) >> L28_dir == forward) &&
  (L28_dir == forward >> L28_dir != off && (L31_dir == backward));
  L28_dir == forward >> L28_load == L29_load + ((S38_powered >> 1) && (!S38_powered >> 0));
  L28_dir == backward >> L28_load == L31_load + ((S37_powered >> 1) && (!S37_powered >> 0));
  L28_dir == off >> L28_load == 0;

//Line L57
  (L57_dir != off && (L38_dir == forward) >> L57_dir == backward) &&
  (L57_dir == backward >> L57_dir != off && (L38_dir == forward));
  (L57_dir != off && (L56_dir == forward) >> L57_dir == forward) &&
  (L57_dir == forward >> L57_dir != off && (L56_dir == forward));
  L57_dir == forward >> L57_load == L38_load + ((S19_powered >> 1) && (!S19_powered >> 0));
  L57_dir == backward >> L57_load == L56_load + ((S18_powered >> 2) && (!S18_powered >> 0));
  L57_dir == off >> L57_load == 0;

//Line L34
  (L34_dir != off && (L36_dir == backward) >> L34_dir == backward) &&
  (L34_dir == backward >> L34_dir != off && (L36_dir == backward));
  (L34_dir != off && (L29_dir == forward || L30_dir == backward) >> L34_dir == forward) &&
  (L34_dir == forward >> L34_dir != off && (L29_dir == forward || L30_dir == backward));
  L34_dir == forward >> L34_load == L36_load + ((S22_powered >> 1) && (!S22_powered >> 0));
  L34_dir == backward >> L34_load == L29_load + L30_load + ((S39_powered >> 1) && (!S39_powered >> 0));
  L34_dir == off >> L34_load == 0;

//Line L13
    L13_dir != backward;
  (L13_dir != off && (L12_dir == forward || L55_dir == forward) >> L13_dir == forward) &&
  (L13_dir == forward >> L13_dir != off && (L12_dir == forward || L55_dir == forward));
  L13_dir == forward >> L13_load == ((S14_powered >> 1) && (!S14_powered >> 0));
  L13_dir == backward >> L13_load == L12_load + L55_load + ((S13_powered >> 1) && (!S13_powered >> 0));
  L13_dir == off >> L13_load == 0;

//Line L66
  (L66_dir != off && (L59_dir == forward || L60_dir == forward) >> L66_dir == backward) &&
  (L66_dir == backward >> L66_dir != off && (L59_dir == forward || L60_dir == forward));
  (L66_dir != off && (L65_dir == forward) >> L66_dir == forward) &&
  (L66_dir == forward >> L66_dir != off && (L65_dir == forward));
  L66_dir == forward >> L66_load == L59_load + L60_load + ((S3_powered >> 1) && (!S3_powered >> 0));
  L66_dir == backward >> L66_load == L65_load + ((S51_powered >> 1) && (!S51_powered >> 0));
  L66_dir == off >> L66_load == 0;

//Line L29
  (L29_dir != off && (L30_dir == backward || L34_dir == backward) >> L29_dir == backward) &&
  (L29_dir == backward >> L29_dir != off && (L30_dir == backward || L34_dir == backward));
  (L29_dir != off && (L28_dir == forward) >> L29_dir == forward) &&
  (L29_dir == forward >> L29_dir != off && (L28_dir == forward));
  L29_dir == forward >> L29_load == L30_load + L34_load + ((S39_powered >> 1) && (!S39_powered >> 0));
  L29_dir == backward >> L29_load == L28_load + ((S38_powered >> 1) && (!S38_powered >> 0));
  L29_dir == off >> L29_load == 0;

//Line L24
  (L24_dir != off && (L25_dir == backward) >> L24_dir == backward) &&
  (L24_dir == backward >> L24_dir != off && (L25_dir == backward));
  (L24_dir != off && (L23_dir == forward) >> L24_dir == forward) &&
  (L24_dir == forward >> L24_dir != off && (L23_dir == forward));
  L24_dir == forward >> L24_load == L25_load + ((S42_powered >> 2) && (!S42_powered >> 0));
  L24_dir == backward >> L24_load == L23_load + ((S43_powered >> 1) && (!S43_powered >> 0));
  L24_dir == off >> L24_load == 0;

//Line L6
  (L6_dir != off && (L7_dir == backward) >> L6_dir == backward) &&
  (L6_dir == backward >> L6_dir != off && (L7_dir == backward));
  (L6_dir != off && (L5_dir == forward) >> L6_dir == forward) &&
  (L6_dir == forward >> L6_dir != off && (L5_dir == forward));
  L6_dir == forward >> L6_load == L7_load + ((S7_powered >> 1) && (!S7_powered >> 0));
  L6_dir == backward >> L6_load == L5_load + ((S6_powered >> 2) && (!S6_powered >> 0));
  L6_dir == off >> L6_load == 0;

//Line L39
  (L39_dir != off && (L40_dir == backward) >> L39_dir == backward) &&
  (L39_dir == backward >> L39_dir != off && (L40_dir == backward));
  (L39_dir != off && (L36_dir == forward) >> L39_dir == forward) &&
  (L39_dir == forward >> L39_dir != off && (L36_dir == forward));
  L39_dir == forward >> L39_load == L40_load + ((S24_powered >> 2) && (!S24_powered >> 0));
  L39_dir == backward >> L39_load == L36_load + ((S23_powered >> 1) && (!S23_powered >> 0));
  L39_dir == off >> L39_load == 0;

//Line L65
  (L65_dir != off && (L66_dir == backward) >> L65_dir == backward) &&
  (L65_dir == backward >> L65_dir != off && (L66_dir == backward));
  (L65_dir != off && (L64_dir == forward) >> L65_dir == forward) &&
  (L65_dir == forward >> L65_dir != off && (L64_dir == forward));
  L65_dir == forward >> L65_load == L66_load + ((S51_powered >> 1) && (!S51_powered >> 0));
  L65_dir == backward >> L65_load == L64_load + ((S52_powered >> 1) && (!S52_powered >> 0));
  L65_dir == off >> L65_load == 0;

//Line L10
  P1_powered >> ( (L10_dir != forward) );
  !P1_powered >> (
  ((L10_dir != off && (L15_dir == backward || L16_dir == backward || L22_dir == forward || L30_dir == forward || L50_dir == backward || L51_dir == backward) >> L10_dir == backward) &&
  (L10_dir == backward >> L10_dir != off && (L15_dir == backward || L16_dir == backward || L22_dir == forward || L30_dir == forward || L50_dir == backward || L51_dir == backward))) &&
  ((L10_dir != off && (L9_dir == forward || L11_dir == backward) >> L10_dir == forward) &&
  (L10_dir == forward >> L10_dir != off && (L9_dir == forward || L11_dir == backward)))
  );
  L10_dir == forward >> L10_load == L15_load + L16_load + L22_load + L30_load + L50_load + L51_load;
  L10_dir == backward >> L10_load == L9_load + L11_load + ((S11_powered >> 1) && (!S11_powered >> 0));
  L10_dir == off >> L10_load == 0;

//Line L21
  (L21_dir != off && (L22_dir == backward || L23_dir == backward) >> L21_dir == backward) &&
  (L21_dir == backward >> L21_dir != off && (L22_dir == backward || L23_dir == backward));
  (L21_dir != off && (L20_dir == forward) >> L21_dir == forward) &&
  (L21_dir == forward >> L21_dir != off && (L20_dir == forward));
  L21_dir == forward >> L21_load == L22_load + L23_load + ((S44_powered >> 1) && (!S44_powered >> 0));
  L21_dir == backward >> L21_load == L20_load + ((S45_powered >> 1) && (!S45_powered >> 0));
  L21_dir == off >> L21_load == 0;

//Line L44
  (L44_dir != off && (L45_dir == backward || L50_dir == forward) >> L44_dir == backward) &&
  (L44_dir == backward >> L44_dir != off && (L45_dir == backward || L50_dir == forward));
  (L44_dir != off && (L43_dir == forward) >> L44_dir == forward) &&
  (L44_dir == forward >> L44_dir != off && (L43_dir == forward));
  L44_dir == forward >> L44_load == L45_load + L50_load + ((S29_powered >> 1) && (!S29_powered >> 0));
  L44_dir == backward >> L44_load == L43_load + ((S28_powered >> 1) && (!S28_powered >> 0));
  L44_dir == off >> L44_load == 0;

//Line L49
  (L49_dir != off && (L33_dir == backward) >> L49_dir == backward) &&
  (L49_dir == backward >> L49_dir != off && (L33_dir == backward));
  (L49_dir != off && (L48_dir == forward) >> L49_dir == forward) &&
  (L49_dir == forward >> L49_dir != off && (L48_dir == forward));
  L49_dir == forward >> L49_load == L33_load + ((S34_powered >> 1) && (!S34_powered >> 0));
  L49_dir == backward >> L49_load == L48_load + ((S33_powered >> 1) && (!S33_powered >> 0));
  L49_dir == off >> L49_load == 0;

//Line L64
  (L64_dir != off && (L65_dir == backward) >> L64_dir == backward) &&
  (L64_dir == backward >> L64_dir != off && (L65_dir == backward));
  (L64_dir != off && (L63_dir == forward) >> L64_dir == forward) &&
  (L64_dir == forward >> L64_dir != off && (L63_dir == forward));
  L64_dir == forward >> L64_load == L65_load + ((S52_powered >> 1) && (!S52_powered >> 0));
  L64_dir == backward >> L64_load == L63_load + ((S53_powered >> 1) && (!S53_powered >> 0));
  L64_dir == off >> L64_load == 0;

//Line L22
  P1_powered >> ( (L22_dir != forward) );
  !P1_powered >> (
  ((L22_dir != off && (L10_dir == forward || L15_dir == backward || L16_dir == backward || L30_dir == forward || L50_dir == backward || L51_dir == backward) >> L22_dir == backward) &&
  (L22_dir == backward >> L22_dir != off && (L10_dir == forward || L15_dir == backward || L16_dir == backward || L30_dir == forward || L50_dir == backward || L51_dir == backward))) &&
  ((L22_dir != off && (L21_dir == forward || L23_dir == backward) >> L22_dir == forward) &&
  (L22_dir == forward >> L22_dir != off && (L21_dir == forward || L23_dir == backward)))
  );
  L22_dir == forward >> L22_load == L10_load + L15_load + L16_load + L30_load + L50_load + L51_load;
  L22_dir == backward >> L22_load == L21_load + L23_load + ((S44_powered >> 1) && (!S44_powered >> 0));
  L22_dir == off >> L22_load == 0;

//Line L43
  (L43_dir != off && (L44_dir == backward) >> L43_dir == backward) &&
  (L43_dir == backward >> L43_dir != off && (L44_dir == backward));
  (L43_dir != off && (L42_dir == forward) >> L43_dir == forward) &&
  (L43_dir == forward >> L43_dir != off && (L42_dir == forward));
  L43_dir == forward >> L43_load == L44_load + ((S28_powered >> 1) && (!S28_powered >> 0));
  L43_dir == backward >> L43_load == L42_load + ((S27_powered >> 1) && (!S27_powered >> 0));
  L43_dir == off >> L43_load == 0;

//Line L54
  (L54_dir != off && (L55_dir == backward) >> L54_dir == backward) &&
  (L54_dir == backward >> L54_dir != off && (L55_dir == backward));
  (L54_dir != off && (L53_dir == forward) >> L54_dir == forward) &&
  (L54_dir == forward >> L54_dir != off && (L53_dir == forward));
  L54_dir == forward >> L54_load == L55_load + ((S15_powered >> 1) && (!S15_powered >> 0));
  L54_dir == backward >> L54_load == L53_load + ((S16_powered >> 1) && (!S16_powered >> 0));
  L54_dir == off >> L54_load == 0;

//Line L16
  P1_powered >> ( (L16_dir != backward) );
  !P1_powered >> (
  ((L16_dir != off && (L17_dir == backward) >> L16_dir == backward) &&
  (L16_dir == backward >> L16_dir != off && (L17_dir == backward))) &&
  ((L16_dir != off && (L10_dir == forward || L15_dir == backward || L22_dir == forward || L30_dir == forward || L50_dir == backward || L51_dir == backward) >> L16_dir == forward) &&
  (L16_dir == forward >> L16_dir != off && (L10_dir == forward || L15_dir == backward || L22_dir == forward || L30_dir == forward || L50_dir == backward || L51_dir == backward)))
  );
  L16_dir == forward >> L16_load == L17_load + ((S49_powered >> 2) && (!S49_powered >> 0));
  L16_dir == backward >> L16_load == L10_load + L15_load + L22_load + L30_load + L50_load + L51_load;
  L16_dir == off >> L16_load == 0;

//Line L1
  P2_powered >> ( (L1_dir != backward) );
  !P2_powered >> (
  ((L1_dir != off && (L2_dir == backward || L58_dir == backward) >> L1_dir == backward) &&
  (L1_dir == backward >> L1_dir != off && (L2_dir == backward || L58_dir == backward))) &&
  ((L1_dir != off && (L60_dir == backward) >> L1_dir == forward) &&
  (L1_dir == forward >> L1_dir != off && (L60_dir == backward)))
  );
  L1_dir == forward >> L1_load == L2_load + L58_load + ((S1_powered >> 1) && (!S1_powered >> 0));
  L1_dir == backward >> L1_load == L60_load;
  L1_dir == off >> L1_load == 0;

//Line L19
  (L19_dir != off && (L20_dir == backward) >> L19_dir == backward) &&
  (L19_dir == backward >> L19_dir != off && (L20_dir == backward));
  (L19_dir != off && (L18_dir == forward) >> L19_dir == forward) &&
  (L19_dir == forward >> L19_dir != off && (L18_dir == forward));
  L19_dir == forward >> L19_load == L20_load + ((S46_powered >> 1) && (!S46_powered >> 0));
  L19_dir == backward >> L19_load == L18_load + ((S47_powered >> 1) && (!S47_powered >> 0));
  L19_dir == off >> L19_load == 0;

//Line L32
  (L32_dir != off && (L33_dir == forward) >> L32_dir == backward) &&
  (L32_dir == backward >> L32_dir != off && (L33_dir == forward));
  (L32_dir != off && (L31_dir == forward) >> L32_dir == forward) &&
  (L32_dir == forward >> L32_dir != off && (L31_dir == forward));
  L32_dir == forward >> L32_load == L33_load + ((S35_powered >> 1) && (!S35_powered >> 0));
  L32_dir == backward >> L32_load == L31_load + ((S36_powered >> 2) && (!S36_powered >> 0));
  L32_dir == off >> L32_load == 0;

//Line L63
  (L63_dir != off && (L64_dir == backward) >> L63_dir == backward) &&
  (L63_dir == backward >> L63_dir != off && (L64_dir == backward));
  (L63_dir != off && (L62_dir == forward) >> L63_dir == forward) &&
  (L63_dir == forward >> L63_dir != off && (L62_dir == forward));
  L63_dir == forward >> L63_load == L64_load + ((S53_powered >> 1) && (!S53_powered >> 0));
  L63_dir == backward >> L63_load == L62_load + ((S54_powered >> 1) && (!S54_powered >> 0));
  L63_dir == off >> L63_load == 0;

//Line L53
  (L53_dir != off && (L54_dir == backward) >> L53_dir == backward) &&
  (L53_dir == backward >> L53_dir != off && (L54_dir == backward));
  (L53_dir != off && (L52_dir == forward || L56_dir == backward) >> L53_dir == forward) &&
  (L53_dir == forward >> L53_dir != off && (L52_dir == forward || L56_dir == backward));
  L53_dir == forward >> L53_load == L54_load + ((S16_powered >> 1) && (!S16_powered >> 0));
  L53_dir == backward >> L53_load == L52_load + L56_load + ((S17_powered >> 1) && (!S17_powered >> 0));
  L53_dir == off >> L53_load == 0;

//Line L31
  (L31_dir != off && (L32_dir == backward) >> L31_dir == backward) &&
  (L31_dir == backward >> L31_dir != off && (L32_dir == backward));
  (L31_dir != off && (L28_dir == backward) >> L31_dir == forward) &&
  (L31_dir == forward >> L31_dir != off && (L28_dir == backward));
  L31_dir == forward >> L31_load == L32_load + ((S36_powered >> 2) && (!S36_powered >> 0));
  L31_dir == backward >> L31_load == L28_load + ((S37_powered >> 1) && (!S37_powered >> 0));
  L31_dir == off >> L31_load == 0;

//Line L2
  (L2_dir != off && (L3_dir == backward || L4_dir == backward) >> L2_dir == backward) &&
  (L2_dir == backward >> L2_dir != off && (L3_dir == backward || L4_dir == backward));
  (L2_dir != off && (L1_dir == forward || L58_dir == backward) >> L2_dir == forward) &&
  (L2_dir == forward >> L2_dir != off && (L1_dir == forward || L58_dir == backward));
  L2_dir == forward >> L2_load == L3_load + L4_load + ((S4_powered >> 1) && (!S4_powered >> 0));
  L2_dir == backward >> L2_load == L1_load + L58_load + ((S1_powered >> 1) && (!S1_powered >> 0));
  L2_dir == off >> L2_load == 0;

//Line L23
  (L23_dir != off && (L24_dir == backward) >> L23_dir == backward) &&
  (L23_dir == backward >> L23_dir != off && (L24_dir == backward));
  (L23_dir != off && (L21_dir == forward || L22_dir == backward) >> L23_dir == forward) &&
  (L23_dir == forward >> L23_dir != off && (L21_dir == forward || L22_dir == backward));
  L23_dir == forward >> L23_load == L24_load + ((S43_powered >> 1) && (!S43_powered >> 0));
  L23_dir == backward >> L23_load == L21_load + L22_load + ((S44_powered >> 1) && (!S44_powered >> 0));
  L23_dir == off >> L23_load == 0;

//Line L7
    L7_dir != backward;
  (L7_dir != off && (L6_dir == forward) >> L7_dir == forward) &&
  (L7_dir == forward >> L7_dir != off && (L6_dir == forward));
  L7_dir == forward >> L7_load == ((S8_powered >> 1) && (!S8_powered >> 0));
  L7_dir == backward >> L7_load == L6_load + ((S7_powered >> 1) && (!S7_powered >> 0));
  L7_dir == off >> L7_load == 0;

//Line L62
  (L62_dir != off && (L63_dir == backward) >> L62_dir == backward) &&
  (L62_dir == backward >> L62_dir != off && (L63_dir == backward));
  (L62_dir != off && (L61_dir == forward) >> L62_dir == forward) &&
  (L62_dir == forward >> L62_dir != off && (L61_dir == forward));
  L62_dir == forward >> L62_load == L63_load + ((S54_powered >> 1) && (!S54_powered >> 0));
  L62_dir == backward >> L62_load == L61_load + ((S55_powered >> 2) && (!S55_powered >> 0));
  L62_dir == off >> L62_load == 0;

//Line L45
  (L45_dir != off && (L46_dir == backward) >> L45_dir == backward) &&
  (L45_dir == backward >> L45_dir != off && (L46_dir == backward));
  (L45_dir != off && (L44_dir == forward || L50_dir == forward) >> L45_dir == forward) &&
  (L45_dir == forward >> L45_dir != off && (L44_dir == forward || L50_dir == forward));
  L45_dir == forward >> L45_load == L46_load + ((S30_powered >> 2) && (!S30_powered >> 0));
  L45_dir == backward >> L45_load == L44_load + L50_load + ((S29_powered >> 1) && (!S29_powered >> 0));
  L45_dir == off >> L45_load == 0;

//Line L4
  (L4_dir != off && (L5_dir == backward || L61_dir == backward) >> L4_dir == backward) &&
  (L4_dir == backward >> L4_dir != off && (L5_dir == backward || L61_dir == backward));
  (L4_dir != off && (L2_dir == forward || L3_dir == backward) >> L4_dir == forward) &&
  (L4_dir == forward >> L4_dir != off && (L2_dir == forward || L3_dir == backward));
  L4_dir == forward >> L4_load == L5_load + L61_load + ((S5_powered >> 1) && (!S5_powered >> 0));
  L4_dir == backward >> L4_load == L2_load + L3_load + ((S4_powered >> 1) && (!S4_powered >> 0));
  L4_dir == off >> L4_load == 0;

//Line L55
  (L55_dir != off && (L12_dir == forward || L13_dir == backward) >> L55_dir == backward) &&
  (L55_dir == backward >> L55_dir != off && (L12_dir == forward || L13_dir == backward));
  (L55_dir != off && (L54_dir == forward) >> L55_dir == forward) &&
  (L55_dir == forward >> L55_dir != off && (L54_dir == forward));
  L55_dir == forward >> L55_load == L12_load + L13_load + ((S13_powered >> 1) && (!S13_powered >> 0));
  L55_dir == backward >> L55_load == L54_load + ((S15_powered >> 1) && (!S15_powered >> 0));
  L55_dir == off >> L55_load == 0;

//Line L14
    L14_dir != backward;
  (L14_dir != off && (L9_dir == backward) >> L14_dir == forward) &&
  (L14_dir == forward >> L14_dir != off && (L9_dir == backward));
  L14_dir == forward >> L14_load == ((S10_powered >> 1) && (!S10_powered >> 0));
  L14_dir == backward >> L14_load == L9_load + ((S9_powered >> 1) && (!S9_powered >> 0));
  L14_dir == off >> L14_load == 0;

//Line L5
  (L5_dir != off && (L6_dir == backward) >> L5_dir == backward) &&
  (L5_dir == backward >> L5_dir != off && (L6_dir == backward));
  (L5_dir != off && (L4_dir == forward || L61_dir == backward) >> L5_dir == forward) &&
  (L5_dir == forward >> L5_dir != off && (L4_dir == forward || L61_dir == backward));
  L5_dir == forward >> L5_load == L6_load + ((S6_powered >> 2) && (!S6_powered >> 0));
  L5_dir == backward >> L5_load == L4_load + L61_load + ((S5_powered >> 1) && (!S5_powered >> 0));
  L5_dir == off >> L5_load == 0;

//Line L48
  (L48_dir != off && (L49_dir == backward) >> L48_dir == backward) &&
  (L48_dir == backward >> L48_dir != off && (L49_dir == backward));
  (L48_dir != off && (L47_dir == forward) >> L48_dir == forward) &&
  (L48_dir == forward >> L48_dir != off && (L47_dir == forward));
  L48_dir == forward >> L48_load == L49_load + ((S33_powered >> 1) && (!S33_powered >> 0));
  L48_dir == backward >> L48_load == L47_load + ((S32_powered >> 1) && (!S32_powered >> 0));
  L48_dir == off >> L48_load == 0;

//Line L11
  (L11_dir != off && (L12_dir == backward) >> L11_dir == backward) &&
  (L11_dir == backward >> L11_dir != off && (L12_dir == backward));
  (L11_dir != off && (L9_dir == forward || L10_dir == backward) >> L11_dir == forward) &&
  (L11_dir == forward >> L11_dir != off && (L9_dir == forward || L10_dir == backward));
  L11_dir == forward >> L11_load == L12_load + ((S12_powered >> 2) && (!S12_powered >> 0));
  L11_dir == backward >> L11_load == L9_load + L10_load + ((S11_powered >> 1) && (!S11_powered >> 0));
  L11_dir == off >> L11_load == 0;

//Line L58
  (L58_dir != off && (L59_dir == backward) >> L58_dir == backward) &&
  (L58_dir == backward >> L58_dir != off && (L59_dir == backward));
  (L58_dir != off && (L1_dir == forward || L2_dir == backward) >> L58_dir == forward) &&
  (L58_dir == forward >> L58_dir != off && (L1_dir == forward || L2_dir == backward));
  L58_dir == forward >> L58_load == L59_load + ((S2_powered >> 1) && (!S2_powered >> 0));
  L58_dir == backward >> L58_load == L1_load + L2_load + ((S1_powered >> 1) && (!S1_powered >> 0));
  L58_dir == off >> L58_load == 0;

//Line L47
  (L47_dir != off && (L48_dir == backward) >> L47_dir == backward) &&
  (L47_dir == backward >> L47_dir != off && (L48_dir == backward));
  (L47_dir != off && (L46_dir == forward) >> L47_dir == forward) &&
  (L47_dir == forward >> L47_dir != off && (L46_dir == forward));
  L47_dir == forward >> L47_load == L48_load + ((S32_powered >> 1) && (!S32_powered >> 0));
  L47_dir == backward >> L47_load == L46_load + ((S31_powered >> 1) && (!S31_powered >> 0));
  L47_dir == off >> L47_load == 0;

//Line L46
  (L46_dir != off && (L47_dir == backward) >> L46_dir == backward) &&
  (L46_dir == backward >> L46_dir != off && (L47_dir == backward));
  (L46_dir != off && (L45_dir == forward) >> L46_dir == forward) &&
  (L46_dir == forward >> L46_dir != off && (L45_dir == forward));
  L46_dir == forward >> L46_load == L47_load + ((S31_powered >> 1) && (!S31_powered >> 0));
  L46_dir == backward >> L46_load == L45_load + ((S30_powered >> 2) && (!S30_powered >> 0));
  L46_dir == off >> L46_load == 0;

//Line L61
  (L61_dir != off && (L62_dir == backward) >> L61_dir == backward) &&
  (L61_dir == backward >> L61_dir != off && (L62_dir == backward));
  (L61_dir != off && (L4_dir == forward || L5_dir == backward) >> L61_dir == forward) &&
  (L61_dir == forward >> L61_dir != off && (L4_dir == forward || L5_dir == backward));
  L61_dir == forward >> L61_load == L62_load + ((S55_powered >> 2) && (!S55_powered >> 0));
  L61_dir == backward >> L61_load == L4_load + L5_load + ((S5_powered >> 1) && (!S5_powered >> 0));
  L61_dir == off >> L61_load == 0;

//Line L12
  (L12_dir != off && (L13_dir == backward || L55_dir == forward) >> L12_dir == backward) &&
  (L12_dir == backward >> L12_dir != off && (L13_dir == backward || L55_dir == forward));
  (L12_dir != off && (L11_dir == forward) >> L12_dir == forward) &&
  (L12_dir == forward >> L12_dir != off && (L11_dir == forward));
  L12_dir == forward >> L12_load == L13_load + L55_load + ((S13_powered >> 1) && (!S13_powered >> 0));
  L12_dir == backward >> L12_load == L11_load + ((S12_powered >> 2) && (!S12_powered >> 0));
  L12_dir == off >> L12_load == 0;

//Line L41
  (L41_dir != off && (L42_dir == backward) >> L41_dir == backward) &&
  (L41_dir == backward >> L41_dir != off && (L42_dir == backward));
  (L41_dir != off && (L40_dir == forward) >> L41_dir == forward) &&
  (L41_dir == forward >> L41_dir != off && (L40_dir == forward));
  L41_dir == forward >> L41_load == L42_load + ((S26_powered >> 1) && (!S26_powered >> 0));
  L41_dir == backward >> L41_load == L40_load + ((S25_powered >> 1) && (!S25_powered >> 0));
  L41_dir == off >> L41_load == 0;

//Line L3
  (L3_dir != off && (L15_dir == forward) >> L3_dir == backward) &&
  (L3_dir == backward >> L3_dir != off && (L15_dir == forward));
  (L3_dir != off && (L2_dir == forward || L4_dir == backward) >> L3_dir == forward) &&
  (L3_dir == forward >> L3_dir != off && (L2_dir == forward || L4_dir == backward));
  L3_dir == forward >> L3_load == L15_load + ((S50_powered >> 1) && (!S50_powered >> 0));
  L3_dir == backward >> L3_load == L2_load + L4_load + ((S4_powered >> 1) && (!S4_powered >> 0));
  L3_dir == off >> L3_load == 0;

//Line L56
  (L56_dir != off && (L57_dir == backward) >> L56_dir == backward) &&
  (L56_dir == backward >> L56_dir != off && (L57_dir == backward));
  (L56_dir != off && (L52_dir == forward || L53_dir == backward) >> L56_dir == forward) &&
  (L56_dir == forward >> L56_dir != off && (L52_dir == forward || L53_dir == backward));
  L56_dir == forward >> L56_load == L57_load + ((S18_powered >> 2) && (!S18_powered >> 0));
  L56_dir == backward >> L56_load == L52_load + L53_load + ((S17_powered >> 1) && (!S17_powered >> 0));
  L56_dir == off >> L56_load == 0;

//Line L17
  (L17_dir != off && (L18_dir == backward) >> L17_dir == backward) &&
  (L17_dir == backward >> L17_dir != off && (L18_dir == backward));
  (L17_dir != off && (L16_dir == forward) >> L17_dir == forward) &&
  (L17_dir == forward >> L17_dir != off && (L16_dir == forward));
  L17_dir == forward >> L17_load == L18_load + ((S48_powered >> 1) && (!S48_powered >> 0));
  L17_dir == backward >> L17_load == L16_load + ((S49_powered >> 2) && (!S49_powered >> 0));
  L17_dir == off >> L17_load == 0;

//Line L9
  (L9_dir != off && (L10_dir == backward || L11_dir == backward) >> L9_dir == backward) &&
  (L9_dir == backward >> L9_dir != off && (L10_dir == backward || L11_dir == backward));
  (L9_dir != off && (L14_dir == backward) >> L9_dir == forward) &&
  (L9_dir == forward >> L9_dir != off && (L14_dir == backward));
  L9_dir == forward >> L9_load == L10_load + L11_load + ((S11_powered >> 1) && (!S11_powered >> 0));
  L9_dir == backward >> L9_load == L14_load + ((S9_powered >> 1) && (!S9_powered >> 0));
  L9_dir == off >> L9_load == 0;

//Line L38
  (L38_dir != off && (L57_dir == forward) >> L38_dir == backward) &&
  (L38_dir == backward >> L38_dir != off && (L57_dir == forward));
  (L38_dir != off && (L37_dir == forward) >> L38_dir == forward) &&
  (L38_dir == forward >> L38_dir != off && (L37_dir == forward));
  L38_dir == forward >> L38_load == L57_load + ((S19_powered >> 1) && (!S19_powered >> 0));
  L38_dir == backward >> L38_load == L37_load + ((S20_powered >> 1) && (!S20_powered >> 0));
  L38_dir == off >> L38_load == 0;

//Line L59
  (L59_dir != off && (L60_dir == forward || L66_dir == forward) >> L59_dir == backward) &&
  (L59_dir == backward >> L59_dir != off && (L60_dir == forward || L66_dir == forward));
  (L59_dir != off && (L58_dir == forward) >> L59_dir == forward) &&
  (L59_dir == forward >> L59_dir != off && (L58_dir == forward));
  L59_dir == forward >> L59_load == L60_load + L66_load + ((S3_powered >> 1) && (!S3_powered >> 0));
  L59_dir == backward >> L59_load == L58_load + ((S2_powered >> 1) && (!S2_powered >> 0));
  L59_dir == off >> L59_load == 0;

//Line L37
  (L37_dir != off && (L38_dir == backward) >> L37_dir == backward) &&
  (L37_dir == backward >> L37_dir != off && (L38_dir == backward));
    L37_dir != forward;
  L37_dir == forward >> L37_load == L38_load + ((S20_powered >> 1) && (!S20_powered >> 0));
  L37_dir == backward >> L37_load == ((S21_powered >> 1) && (!S21_powered >> 0));
  L37_dir == off >> L37_load == 0;

//Line L15
  P1_powered >> ( (L15_dir != backward) );
  !P1_powered >> (
  ((L15_dir != off && (L3_dir == forward) >> L15_dir == backward) &&
  (L15_dir == backward >> L15_dir != off && (L3_dir == forward))) &&
  ((L15_dir != off && (L10_dir == forward || L16_dir == backward || L22_dir == forward || L30_dir == forward || L50_dir == backward || L51_dir == backward) >> L15_dir == forward) &&
  (L15_dir == forward >> L15_dir != off && (L10_dir == forward || L16_dir == backward || L22_dir == forward || L30_dir == forward || L50_dir == backward || L51_dir == backward)))
  );
  L15_dir == forward >> L15_load == L3_load + ((S50_powered >> 1) && (!S50_powered >> 0));
  L15_dir == backward >> L15_load == L10_load + L16_load + L22_load + L30_load + L50_load + L51_load;
  L15_dir == off >> L15_load == 0;

//Line L51
  P1_powered >> ( (L51_dir != backward) );
  !P1_powered >> (
  ((L51_dir != off && (L52_dir == backward) >> L51_dir == backward) &&
  (L51_dir == backward >> L51_dir != off && (L52_dir == backward))) &&
  ((L51_dir != off && (L10_dir == forward || L15_dir == backward || L16_dir == backward || L22_dir == forward || L30_dir == forward || L50_dir == backward) >> L51_dir == forward) &&
  (L51_dir == forward >> L51_dir != off && (L10_dir == forward || L15_dir == backward || L16_dir == backward || L22_dir == forward || L30_dir == forward || L50_dir == backward)))
  );
  L51_dir == forward >> L51_load == L52_load + ((S56_powered >> 2) && (!S56_powered >> 0));
  L51_dir == backward >> L51_load == L10_load + L15_load + L16_load + L22_load + L30_load + L50_load;
  L51_dir == off >> L51_load == 0;

//Line L40
  (L40_dir != off && (L41_dir == backward) >> L40_dir == backward) &&
  (L40_dir == backward >> L40_dir != off && (L41_dir == backward));
  (L40_dir != off && (L39_dir == forward) >> L40_dir == forward) &&
  (L40_dir == forward >> L40_dir != off && (L39_dir == forward));
  L40_dir == forward >> L40_load == L41_load + ((S25_powered >> 1) && (!S25_powered >> 0));
  L40_dir == backward >> L40_load == L39_load + ((S24_powered >> 2) && (!S24_powered >> 0));
  L40_dir == off >> L40_load == 0;

//Line L42
  (L42_dir != off && (L43_dir == backward) >> L42_dir == backward) &&
  (L42_dir == backward >> L42_dir != off && (L43_dir == backward));
  (L42_dir != off && (L41_dir == forward) >> L42_dir == forward) &&
  (L42_dir == forward >> L42_dir != off && (L41_dir == forward));
  L42_dir == forward >> L42_load == L43_load + ((S27_powered >> 1) && (!S27_powered >> 0));
  L42_dir == backward >> L42_load == L41_load + ((S26_powered >> 1) && (!S26_powered >> 0));
  L42_dir == off >> L42_load == 0;

//Line L18
  (L18_dir != off && (L19_dir == backward) >> L18_dir == backward) &&
  (L18_dir == backward >> L18_dir != off && (L19_dir == backward));
  (L18_dir != off && (L17_dir == forward) >> L18_dir == forward) &&
  (L18_dir == forward >> L18_dir != off && (L17_dir == forward));
  L18_dir == forward >> L18_load == L19_load + ((S47_powered >> 1) && (!S47_powered >> 0));
  L18_dir == backward >> L18_load == L17_load + ((S48_powered >> 1) && (!S48_powered >> 0));
  L18_dir == off >> L18_load == 0;

//Line L30
  P1_powered >> ( (L30_dir != forward) );
  !P1_powered >> (
  ((L30_dir != off && (L10_dir == forward || L15_dir == backward || L16_dir == backward || L22_dir == forward || L50_dir == backward || L51_dir == backward) >> L30_dir == backward) &&
  (L30_dir == backward >> L30_dir != off && (L10_dir == forward || L15_dir == backward || L16_dir == backward || L22_dir == forward || L50_dir == backward || L51_dir == backward))) &&
  ((L30_dir != off && (L29_dir == forward || L34_dir == backward) >> L30_dir == forward) &&
  (L30_dir == forward >> L30_dir != off && (L29_dir == forward || L34_dir == backward)))
  );
  L30_dir == forward >> L30_load == L10_load + L15_load + L16_load + L22_load + L50_load + L51_load;
  L30_dir == backward >> L30_load == L29_load + L34_load + ((S39_powered >> 1) && (!S39_powered >> 0));
  L30_dir == off >> L30_load == 0;

//Line L52
  (L52_dir != off && (L53_dir == backward || L56_dir == backward) >> L52_dir == backward) &&
  (L52_dir == backward >> L52_dir != off && (L53_dir == backward || L56_dir == backward));
  (L52_dir != off && (L51_dir == forward) >> L52_dir == forward) &&
  (L52_dir == forward >> L52_dir != off && (L51_dir == forward));
  L52_dir == forward >> L52_load == L53_load + L56_load + ((S17_powered >> 1) && (!S17_powered >> 0));
  L52_dir == backward >> L52_load == L51_load + ((S56_powered >> 2) && (!S56_powered >> 0));
  L52_dir == off >> L52_load == 0;

//Line L20
  (L20_dir != off && (L21_dir == backward) >> L20_dir == backward) &&
  (L20_dir == backward >> L20_dir != off && (L21_dir == backward));
  (L20_dir != off && (L19_dir == forward) >> L20_dir == forward) &&
  (L20_dir == forward >> L20_dir != off && (L19_dir == forward));
  L20_dir == forward >> L20_load == L21_load + ((S45_powered >> 1) && (!S45_powered >> 0));
  L20_dir == backward >> L20_load == L19_load + ((S46_powered >> 1) && (!S46_powered >> 0));
  L20_dir == off >> L20_load == 0;

//Line L25
  (L25_dir != off && (L26_dir == backward) >> L25_dir == backward) &&
  (L25_dir == backward >> L25_dir != off && (L26_dir == backward));
  (L25_dir != off && (L24_dir == forward) >> L25_dir == forward) &&
  (L25_dir == forward >> L25_dir != off && (L24_dir == forward));
  L25_dir == forward >> L25_load == L26_load + ((S41_powered >> 1) && (!S41_powered >> 0));
  L25_dir == backward >> L25_load == L24_load + ((S42_powered >> 2) && (!S42_powered >> 0));
  L25_dir == off >> L25_load == 0;

//Line L33
  (L33_dir != off && (L32_dir == forward) >> L33_dir == backward) &&
  (L33_dir == backward >> L33_dir != off && (L32_dir == forward));
  (L33_dir != off && (L49_dir == forward) >> L33_dir == forward) &&
  (L33_dir == forward >> L33_dir != off && (L49_dir == forward));
  L33_dir == forward >> L33_load == L32_load + ((S35_powered >> 1) && (!S35_powered >> 0));
  L33_dir == backward >> L33_load == L49_load + ((S34_powered >> 1) && (!S34_powered >> 0));
  L33_dir == off >> L33_load == 0;

//Line L50
  P1_powered >> ( (L50_dir != backward) );
  !P1_powered >> (
  ((L50_dir != off && (L44_dir == forward || L45_dir == backward) >> L50_dir == backward) &&
  (L50_dir == backward >> L50_dir != off && (L44_dir == forward || L45_dir == backward))) &&
  ((L50_dir != off && (L10_dir == forward || L15_dir == backward || L16_dir == backward || L22_dir == forward || L30_dir == forward || L51_dir == backward) >> L50_dir == forward) &&
  (L50_dir == forward >> L50_dir != off && (L10_dir == forward || L15_dir == backward || L16_dir == backward || L22_dir == forward || L30_dir == forward || L51_dir == backward)))
  );
  L50_dir == forward >> L50_load == L44_load + L45_load + ((S29_powered >> 1) && (!S29_powered >> 0));
  L50_dir == backward >> L50_load == L10_load + L15_load + L16_load + L22_load + L30_load + L51_load;
  L50_dir == off >> L50_load == 0;

//Line L60
  P2_powered >> ( (L60_dir != backward) );
  !P2_powered >> (
  ((L60_dir != off && (L59_dir == forward || L66_dir == forward) >> L60_dir == backward) &&
  (L60_dir == backward >> L60_dir != off && (L59_dir == forward || L66_dir == forward))) &&
  ((L60_dir != off && (L1_dir == backward) >> L60_dir == forward) &&
  (L60_dir == forward >> L60_dir != off && (L1_dir == backward)))
  );
  L60_dir == forward >> L60_load == L59_load + L66_load + ((S3_powered >> 1) && (!S3_powered >> 0));
  L60_dir == backward >> L60_load == L1_load;
  L60_dir == off >> L60_load == 0;

//Line L26
    L26_dir != backward;
  (L26_dir != off && (L25_dir == forward) >> L26_dir == forward) &&
  (L26_dir == forward >> L26_dir != off && (L25_dir == forward));
  L26_dir == forward >> L26_load == ((S40_powered >> 1) && (!S40_powered >> 0));
  L26_dir == backward >> L26_load == L25_load + ((S41_powered >> 1) && (!S41_powered >> 0));
  L26_dir == off >> L26_load == 0;

//Line L36
  (L36_dir != off && (L39_dir == backward) >> L36_dir == backward) &&
  (L36_dir == backward >> L36_dir != off && (L39_dir == backward));
  (L36_dir != off && (L34_dir == forward) >> L36_dir == forward) &&
  (L36_dir == forward >> L36_dir != off && (L34_dir == forward));
  L36_dir == forward >> L36_load == L39_load + ((S23_powered >> 1) && (!S23_powered >> 0));
  L36_dir == backward >> L36_load == L34_load + ((S22_powered >> 1) && (!S22_powered >> 0));
  L36_dir == off >> L36_load == 0;

//Sink S34
  S34_powered >> (L33_dir == backward || L49_dir == forward);

//Sink S2
  S2_powered >> (L58_dir == forward || L59_dir == backward);

//Sink S11
  S11_powered >> (L9_dir == forward || L10_dir == backward || L11_dir == backward);

//Sink S20
  S20_powered >> (L37_dir == forward || L38_dir == backward);

//Sink S12
  S12_powered >> (L11_dir == forward || L12_dir == backward);

//Sink S48
  S48_powered >> (L17_dir == forward || L18_dir == backward);

//Sink S21
  S21_powered >> (L37_dir == backward);

//Sink S14
  S14_powered >> (L13_dir == forward);

//Sink S56
  S56_powered >> (L51_dir == forward || L52_dir == backward);

//Sink S33
  S33_powered >> (L48_dir == forward || L49_dir == backward);

//Sink S16
  S16_powered >> (L53_dir == forward || L54_dir == backward);

//Sink S27
  S27_powered >> (L42_dir == forward || L43_dir == backward);

//Sink S5
  S5_powered >> (L4_dir == forward || L5_dir == backward || L61_dir == backward);

//Sink S47
  S47_powered >> (L18_dir == forward || L19_dir == backward);

//Sink S31
  S31_powered >> (L46_dir == forward || L47_dir == backward);

//Sink S24
  S24_powered >> (L39_dir == forward || L40_dir == backward);

//Sink S3
  S3_powered >> (L59_dir == forward || L60_dir == forward || L66_dir == forward);

//Sink S32
  S32_powered >> (L47_dir == forward || L48_dir == backward);

//Sink S45
  S45_powered >> (L20_dir == forward || L21_dir == backward);

//Sink S10
  S10_powered >> (L14_dir == forward);

//Sink S13
  S13_powered >> (L12_dir == forward || L13_dir == backward || L55_dir == forward);

//Sink S25
  S25_powered >> (L40_dir == forward || L41_dir == backward);

//Sink S15
  S15_powered >> (L54_dir == forward || L55_dir == backward);

//Sink S26
  S26_powered >> (L41_dir == forward || L42_dir == backward);

//Sink S9
  S9_powered >> (L9_dir == backward || L14_dir == backward);

//Sink S30
  S30_powered >> (L45_dir == forward || L46_dir == backward);

//Sink S46
  S46_powered >> (L19_dir == forward || L20_dir == backward);

//Sink S43
  S43_powered >> (L23_dir == forward || L24_dir == backward);

//Sink S23
  S23_powered >> (L36_dir == forward || L39_dir == backward);

//Sink S54
  S54_powered >> (L62_dir == forward || L63_dir == backward);

//Sink S28
  S28_powered >> (L43_dir == forward || L44_dir == backward);

//Sink S40
  S40_powered >> (L26_dir == forward);

//Sink S55
  S55_powered >> (L61_dir == forward || L62_dir == backward);

//Sink S4
  S4_powered >> (L2_dir == forward || L3_dir == backward || L4_dir == backward);

//Sink S35
  S35_powered >> (L32_dir == forward || L33_dir == forward);

//Sink S19
  S19_powered >> (L38_dir == forward || L57_dir == forward);

//Sink S49
  S49_powered >> (L16_dir == forward || L17_dir == backward);

//Sink S7
  S7_powered >> (L6_dir == forward || L7_dir == backward);

//Sink S36
  S36_powered >> (L31_dir == forward || L32_dir == backward);

//Sink S42
  S42_powered >> (L24_dir == forward || L25_dir == backward);

//Sink S6
  S6_powered >> (L5_dir == forward || L6_dir == backward);

//Sink S1
  S1_powered >> (L1_dir == forward || L2_dir == backward || L58_dir == backward);

//Sink S53
  S53_powered >> (L63_dir == forward || L64_dir == backward);

//Sink S29
  S29_powered >> (L44_dir == forward || L45_dir == backward || L50_dir == forward);

//Sink S38
  S38_powered >> (L28_dir == forward || L29_dir == backward);

//Sink S22
  S22_powered >> (L34_dir == forward || L36_dir == backward);

//Sink S39
  S39_powered >> (L29_dir == forward || L30_dir == backward || L34_dir == backward);

//Sink S17
  S17_powered >> (L52_dir == forward || L53_dir == backward || L56_dir == backward);

//Sink S52
  S52_powered >> (L64_dir == forward || L65_dir == backward);

//Sink S8
  S8_powered >> (L7_dir == forward);

//Sink S44
  S44_powered >> (L21_dir == forward || L22_dir == backward || L23_dir == backward);

//Sink S51
  S51_powered >> (L65_dir == forward || L66_dir == backward);

//Sink S41
  S41_powered >> (L25_dir == forward || L26_dir == backward);

//Sink S50
  S50_powered >> (L3_dir == forward || L15_dir == forward);

//Sink S37
  S37_powered >> (L28_dir == backward || L31_dir == backward);

//Sink S18
  S18_powered >> (L56_dir == forward || L57_dir == backward);



