type
intrng [-1..9];
CpuSlot [0..4];
Slot [0..3];
RamSlot [0..3];
HdBus [0..3];
HdCapacity [0..7];
CpuFreq [0..12];
RamCapacity [0..33];
MotherboardId [0..11];
ProcessorId [0..8];
HarddiskId [0..7];
RamId [0..7];
GraphicsCardId [0..7];
rngtyp0 [0..11];
rngtyp1 [0..4];
rngtyp2 [0..3];
rngtyp3 [0..4];
rngtyp4 [0..12];
rngtyp5 [0..12];
rngtyp6 [0..3];
rngtyp7 [0..4];
rngtyp8 [0..8];
rngtyp9 [0..4];
rngtyp10 [0..12];
rngtyp11 [0..7];
rngtyp12 [0..3];
rngtyp13 [0..7];
rngtyp14 [0..7];
rngtyp15 [0..3];
rngtyp16 [0..7];
rngtyp17 [0..7];
rngtyp18 [0..3];
rngtyp19 [0..33];
rngtyp20 [0..7];
rngtyp21 [0..3];
rngtyp22 [0..33];
rngtyp23 [0..7];
rngtyp24 [0..3];
rngtyp25 [0..33];
rngtyp26 [0..7];
rngtyp27 [0..3];
rngtyp28 [0..33];
rngtyp29 [0..7];
rngtyp30 [0..3];
rngtyp31 [0..12];
rngtyp32 [0..33];

variable
rngtyp0 pc_motherboard_id;
rngtyp1 pc_motherboard_cpuslot;
Slot pc_motherboard_slot_0;
Slot pc_motherboard_slot_1;
Slot pc_motherboard_slot_2;
Slot pc_motherboard_slot_3;
Slot pc_motherboard_slot_4;
Slot pc_motherboard_slot_5;
Slot pc_motherboard_slot_6;
Slot pc_motherboard_slot_7;
rngtyp2 pc_motherboard_controllertype;
rngtyp3 pc_motherboard_controllercount;
rngtyp4 pc_motherboard_mincpufreq;
rngtyp5 pc_motherboard_maxcpufreq;
rngtyp6 pc_motherboard_ramslot;
rngtyp7 pc_motherboard_ramcapacity;
rngtyp8 pc_processor_id;
rngtyp9 pc_processor_cpuslot;
rngtyp10 pc_processor_freq;
rngtyp11 pc_harddisk_0_id;
rngtyp12 pc_harddisk_0_bus;
rngtyp13 pc_harddisk_0_capacity;
rngtyp14 pc_harddisk_1_id;
rngtyp15 pc_harddisk_1_bus;
rngtyp16 pc_harddisk_1_capacity;
rngtyp17 pc_ramblock_0_id;
rngtyp18 pc_ramblock_0_slot;
rngtyp19 pc_ramblock_0_capacity;
rngtyp20 pc_ramblock_1_id;
rngtyp21 pc_ramblock_1_slot;
rngtyp22 pc_ramblock_1_capacity;
rngtyp23 pc_ramblock_2_id;
rngtyp24 pc_ramblock_2_slot;
rngtyp25 pc_ramblock_2_capacity;
rngtyp26 pc_ramblock_3_id;
rngtyp27 pc_ramblock_3_slot;
rngtyp28 pc_ramblock_3_capacity;
rngtyp29 pc_graphics_id;
rngtyp30 pc_graphics_slot;
rngtyp31 pc_clock;
rngtyp32 pc_memory;

rule
((((((((((((((((((((((((((((pc_motherboard_id == 7) && (pc_motherboard_cpuslot == 1)) && (pc_motherboard_controllertype == 1)) && (pc_motherboard_controllercount == 4)) && (pc_motherboard_mincpufreq == 2)) && (pc_motherboard_maxcpufreq == 8)) && (pc_motherboard_ramslot == 3)) && (pc_motherboard_ramcapacity == 4)) && (pc_motherboard_slot_0 == 1)) && (pc_motherboard_slot_1 == 1)) && (pc_motherboard_slot_2 == 1)) && (pc_motherboard_slot_3 == 1)) && (pc_motherboard_slot_4 == 2)) && (pc_motherboard_slot_5 == 2)) && (pc_motherboard_slot_6 == 2)) && (pc_motherboard_slot_7 == 3)) ||
 ((((((((((((((((pc_motherboard_id == 6) && (pc_motherboard_cpuslot == 1)) && (pc_motherboard_controllertype == 1)) && (pc_motherboard_controllercount == 4)) && (pc_motherboard_mincpufreq == 2)) && (pc_motherboard_maxcpufreq == 8)) && (pc_motherboard_ramslot == 3)) && (pc_motherboard_ramcapacity == 4)) && (pc_motherboard_slot_0 == 1)) && (pc_motherboard_slot_1 == 1)) && (pc_motherboard_slot_2 == 1)) && (pc_motherboard_slot_3 == 1)) && (pc_motherboard_slot_4 == 1)) && (pc_motherboard_slot_5 == 2)) && (pc_motherboard_slot_6 == 2)) && (pc_motherboard_slot_7 == 3))) ||
 ((((((((((((((((pc_motherboard_id == 9) && (pc_motherboard_cpuslot == 2)) && (pc_motherboard_controllertype == 1)) && (pc_motherboard_controllercount == 4)) && (pc_motherboard_mincpufreq == 1)) && (pc_motherboard_maxcpufreq == 5)) && (pc_motherboard_ramslot == 3)) && (pc_motherboard_ramcapacity == 3)) && (pc_motherboard_slot_0 == 1)) && (pc_motherboard_slot_1 == 1)) && (pc_motherboard_slot_2 == 1)) && (pc_motherboard_slot_3 == 2)) && (pc_motherboard_slot_4 == 2)) && (pc_motherboard_slot_5 == 2)) && (pc_motherboard_slot_6 == 3)) && (pc_motherboard_slot_7 == 0))) ||
 ((((((((((((((((pc_motherboard_id == 9) && (pc_motherboard_cpuslot == 2)) && (pc_motherboard_controllertype == 1)) && (pc_motherboard_controllercount == 4)) && (pc_motherboard_mincpufreq == 1)) && (pc_motherboard_maxcpufreq == 5)) && (pc_motherboard_ramslot == 1)) && (pc_motherboard_ramcapacity == 3)) && (pc_motherboard_slot_0 == 1)) && (pc_motherboard_slot_1 == 1)) && (pc_motherboard_slot_2 == 1)) && (pc_motherboard_slot_3 == 2)) && (pc_motherboard_slot_4 == 2)) && (pc_motherboard_slot_5 == 2)) && (pc_motherboard_slot_6 == 3)) && (pc_motherboard_slot_7 == 0))) ||
 ((((((((((((((((pc_motherboard_id == 11) && (pc_motherboard_cpuslot == 2)) && (pc_motherboard_controllertype == 1)) && (pc_motherboard_controllercount == 4)) && (pc_motherboard_mincpufreq == 1)) && (pc_motherboard_maxcpufreq == 2)) && (pc_motherboard_ramslot == 3)) && (pc_motherboard_ramcapacity == 3)) && (pc_motherboard_slot_0 == 1)) && (pc_motherboard_slot_1 == 1)) && (pc_motherboard_slot_2 == 1)) && (pc_motherboard_slot_3 == 1)) && (pc_motherboard_slot_4 == 2)) && (pc_motherboard_slot_5 == 2)) && (pc_motherboard_slot_6 == 3)) && (pc_motherboard_slot_7 == 0))) ||
 ((((((((((((((((pc_motherboard_id == 11) && (pc_motherboard_cpuslot == 2)) && (pc_motherboard_controllertype == 1)) && (pc_motherboard_controllercount == 4)) && (pc_motherboard_mincpufreq == 1)) && (pc_motherboard_maxcpufreq == 2)) && (pc_motherboard_ramslot == 1)) && (pc_motherboard_ramcapacity == 3)) && (pc_motherboard_slot_0 == 1)) && (pc_motherboard_slot_1 == 1)) && (pc_motherboard_slot_2 == 1)) && (pc_motherboard_slot_3 == 1)) && (pc_motherboard_slot_4 == 2)) && (pc_motherboard_slot_5 == 2)) && (pc_motherboard_slot_6 == 3)) && (pc_motherboard_slot_7 == 0))) ||
 ((((((((((((((((pc_motherboard_id == 4) && (pc_motherboard_cpuslot == 1)) && (pc_motherboard_controllertype == 1)) && (pc_motherboard_controllercount == 4)) && (pc_motherboard_mincpufreq == 2)) && (pc_motherboard_maxcpufreq == 10)) && (pc_motherboard_ramslot == 3)) && (pc_motherboard_ramcapacity == 3)) && (pc_motherboard_slot_0 == 1)) && (pc_motherboard_slot_1 == 1)) && (pc_motherboard_slot_2 == 1)) && (pc_motherboard_slot_3 == 1)) && (pc_motherboard_slot_4 == 2)) && (pc_motherboard_slot_5 == 2)) && (pc_motherboard_slot_6 == 2)) && (pc_motherboard_slot_7 == 3))) ||
 ((((((((((((((((pc_motherboard_id == 10) && (pc_motherboard_cpuslot == 1)) && (pc_motherboard_controllertype == 1)) && (pc_motherboard_controllercount == 4)) && (pc_motherboard_mincpufreq == 2)) && (pc_motherboard_maxcpufreq == 4)) && (pc_motherboard_ramslot == 3)) && (pc_motherboard_ramcapacity == 4)) && (pc_motherboard_slot_0 == 1)) && (pc_motherboard_slot_1 == 1)) && (pc_motherboard_slot_2 == 2)) && (pc_motherboard_slot_3 == 2)) && (pc_motherboard_slot_4 == 3)) && (pc_motherboard_slot_5 == 0)) && (pc_motherboard_slot_6 == 0)) && (pc_motherboard_slot_7 == 0))) ||
 ((((((((((((((((pc_motherboard_id == 5) && (pc_motherboard_cpuslot == 1)) && (pc_motherboard_controllertype == 2)) && (pc_motherboard_controllercount == 4)) && (pc_motherboard_mincpufreq == 2)) && (pc_motherboard_maxcpufreq == 8)) && (pc_motherboard_ramslot == 3)) && (pc_motherboard_ramcapacity == 3)) && (pc_motherboard_slot_0 == 1)) && (pc_motherboard_slot_1 == 1)) && (pc_motherboard_slot_2 == 1)) && (pc_motherboard_slot_3 == 1)) && (pc_motherboard_slot_4 == 2)) && (pc_motherboard_slot_5 == 2)) && (pc_motherboard_slot_6 == 2)) && (pc_motherboard_slot_7 == 3))) ||
 ((((((((((((((((pc_motherboard_id == 8) && (pc_motherboard_cpuslot == 2)) && (pc_motherboard_controllertype == 1)) && (pc_motherboard_controllercount == 4)) && (pc_motherboard_mincpufreq == 2)) && (pc_motherboard_maxcpufreq == 7)) && (pc_motherboard_ramslot == 3)) && (pc_motherboard_ramcapacity == 3)) && (pc_motherboard_slot_0 == 1)) && (pc_motherboard_slot_1 == 1)) && (pc_motherboard_slot_2 == 1)) && (pc_motherboard_slot_3 == 2)) && (pc_motherboard_slot_4 == 2)) && (pc_motherboard_slot_5 == 3)) && (pc_motherboard_slot_6 == 0)) && (pc_motherboard_slot_7 == 0))) ||
 ((((((((((((((((pc_motherboard_id == 2) && (pc_motherboard_cpuslot == 4)) && (pc_motherboard_controllertype == 1)) && (pc_motherboard_controllercount == 4)) && (pc_motherboard_mincpufreq == 9)) && (pc_motherboard_maxcpufreq == 11)) && (pc_motherboard_ramslot == 3)) && (pc_motherboard_ramcapacity == 3)) && (pc_motherboard_slot_0 == 1)) && (pc_motherboard_slot_1 == 1)) && (pc_motherboard_slot_2 == 1)) && (pc_motherboard_slot_3 == 1)) && (pc_motherboard_slot_4 == 1)) && (pc_motherboard_slot_5 == 2)) && (pc_motherboard_slot_6 == 3)) && (pc_motherboard_slot_7 == 0))) ||
 ((((((((((((((((pc_motherboard_id == 3) && (pc_motherboard_cpuslot == 4)) && (pc_motherboard_controllertype == 1)) && (pc_motherboard_controllercount == 4)) && (pc_motherboard_mincpufreq == 9)) && (pc_motherboard_maxcpufreq == 11)) && (pc_motherboard_ramslot == 3)) && (pc_motherboard_ramcapacity == 3)) && (pc_motherboard_slot_0 == 1)) && (pc_motherboard_slot_1 == 1)) && (pc_motherboard_slot_2 == 1)) && (pc_motherboard_slot_3 == 1)) && (pc_motherboard_slot_4 == 1)) && (pc_motherboard_slot_5 == 2)) && (pc_motherboard_slot_6 == 3)) && (pc_motherboard_slot_7 == 0))) ||
 ((((((((((((((((pc_motherboard_id == 1) && (pc_motherboard_cpuslot == 4)) && (pc_motherboard_controllertype == 1)) && (pc_motherboard_controllercount == 4)) && (pc_motherboard_mincpufreq == 9)) && (pc_motherboard_maxcpufreq == 12)) && (pc_motherboard_ramslot == 3)) && (pc_motherboard_ramcapacity == 3)) && (pc_motherboard_slot_0 == 1)) && (pc_motherboard_slot_1 == 1)) && (pc_motherboard_slot_2 == 1)) && (pc_motherboard_slot_3 == 1)) && (pc_motherboard_slot_4 == 2)) && (pc_motherboard_slot_5 == 3)) && (pc_motherboard_slot_6 == 0)) && (pc_motherboard_slot_7 == 0)));

((((((((((pc_processor_id == 7) && (pc_processor_cpuslot == 2)) && (pc_processor_freq == 3)) ||
 (((pc_processor_id == 1) && (pc_processor_cpuslot == 4)) && (pc_processor_freq == 12))) ||
 (((pc_processor_id == 2) && (pc_processor_cpuslot == 4)) && (pc_processor_freq == 9))) ||
 (((pc_processor_id == 8) && (pc_processor_cpuslot == 2)) && (pc_processor_freq == 2))) ||
 (((pc_processor_id == 4) && (pc_processor_cpuslot == 1)) && (pc_processor_freq == 6))) ||
 (((pc_processor_id == 5) && (pc_processor_cpuslot == 1)) && (pc_processor_freq == 5))) ||
 (((pc_processor_id == 3) && (pc_processor_cpuslot == 1)) && (pc_processor_freq == 10))) ||
 (((pc_processor_id == 6) && (pc_processor_cpuslot == 1)) && (pc_processor_freq == 4)));

((((((((((pc_harddisk_0_id == 1) && (pc_harddisk_0_bus == 1)) && (pc_harddisk_0_capacity == 1)) ||
 (((pc_harddisk_0_id == 1) && (pc_harddisk_0_bus == 2)) && (pc_harddisk_0_capacity == 1))) ||
 (((pc_harddisk_0_id == 6) && (pc_harddisk_0_bus == 1)) && (pc_harddisk_0_capacity == 3))) ||
 (((pc_harddisk_0_id == 3) && (pc_harddisk_0_bus == 1)) && (pc_harddisk_0_capacity == 6))) ||
 (((pc_harddisk_0_id == 4) && (pc_harddisk_0_bus == 1)) && (pc_harddisk_0_capacity == 5))) ||
 (((pc_harddisk_0_id == 2) && (pc_harddisk_0_bus == 2)) && (pc_harddisk_0_capacity == 7))) ||
 (((pc_harddisk_0_id == 7) && (pc_harddisk_0_bus == 2)) && (pc_harddisk_0_capacity == 2))) ||
 (((pc_harddisk_0_id == 5) && (pc_harddisk_0_bus == 1)) && (pc_harddisk_0_capacity == 4)));

((((((((((pc_harddisk_1_id == 1) && (pc_harddisk_1_bus == 1)) && (pc_harddisk_1_capacity == 1)) ||
 (((pc_harddisk_1_id == 1) && (pc_harddisk_1_bus == 2)) && (pc_harddisk_1_capacity == 1))) ||
 (((pc_harddisk_1_id == 6) && (pc_harddisk_1_bus == 1)) && (pc_harddisk_1_capacity == 3))) ||
 (((pc_harddisk_1_id == 3) && (pc_harddisk_1_bus == 1)) && (pc_harddisk_1_capacity == 6))) ||
 (((pc_harddisk_1_id == 4) && (pc_harddisk_1_bus == 1)) && (pc_harddisk_1_capacity == 5))) ||
 (((pc_harddisk_1_id == 2) && (pc_harddisk_1_bus == 2)) && (pc_harddisk_1_capacity == 7))) ||
 (((pc_harddisk_1_id == 7) && (pc_harddisk_1_bus == 2)) && (pc_harddisk_1_capacity == 2))) ||
 (((pc_harddisk_1_id == 5) && (pc_harddisk_1_bus == 1)) && (pc_harddisk_1_capacity == 4)));

((((((((((pc_ramblock_0_id == 1) && (pc_ramblock_0_slot == 1)) && (pc_ramblock_0_capacity == 1)) ||
 (((pc_ramblock_0_id == 1) && (pc_ramblock_0_slot == 3)) && (pc_ramblock_0_capacity == 1))) ||
 (((pc_ramblock_0_id == 7) && (pc_ramblock_0_slot == 1)) && (pc_ramblock_0_capacity == 2))) ||
 (((pc_ramblock_0_id == 3) && (pc_ramblock_0_slot == 3)) && (pc_ramblock_0_capacity == 5))) ||
 (((pc_ramblock_0_id == 6) && (pc_ramblock_0_slot == 3)) && (pc_ramblock_0_capacity == 2))) ||
 (((pc_ramblock_0_id == 5) && (pc_ramblock_0_slot == 3)) && (pc_ramblock_0_capacity == 3))) ||
 (((pc_ramblock_0_id == 4) && (pc_ramblock_0_slot == 3)) && (pc_ramblock_0_capacity == 3))) ||
 (((pc_ramblock_0_id == 2) && (pc_ramblock_0_slot == 3)) && (pc_ramblock_0_capacity == 9)));

((((((((((pc_ramblock_1_id == 1) && (pc_ramblock_1_slot == 1)) && (pc_ramblock_1_capacity == 1)) ||
 (((pc_ramblock_1_id == 1) && (pc_ramblock_1_slot == 3)) && (pc_ramblock_1_capacity == 1))) ||
 (((pc_ramblock_1_id == 7) && (pc_ramblock_1_slot == 1)) && (pc_ramblock_1_capacity == 2))) ||
 (((pc_ramblock_1_id == 3) && (pc_ramblock_1_slot == 3)) && (pc_ramblock_1_capacity == 5))) ||
 (((pc_ramblock_1_id == 6) && (pc_ramblock_1_slot == 3)) && (pc_ramblock_1_capacity == 2))) ||
 (((pc_ramblock_1_id == 5) && (pc_ramblock_1_slot == 3)) && (pc_ramblock_1_capacity == 3))) ||
 (((pc_ramblock_1_id == 4) && (pc_ramblock_1_slot == 3)) && (pc_ramblock_1_capacity == 3))) ||
 (((pc_ramblock_1_id == 2) && (pc_ramblock_1_slot == 3)) && (pc_ramblock_1_capacity == 9)));

((((((((((pc_ramblock_2_id == 1) && (pc_ramblock_2_slot == 1)) && (pc_ramblock_2_capacity == 1)) ||
 (((pc_ramblock_2_id == 1) && (pc_ramblock_2_slot == 3)) && (pc_ramblock_2_capacity == 1))) ||
 (((pc_ramblock_2_id == 7) && (pc_ramblock_2_slot == 1)) && (pc_ramblock_2_capacity == 2))) ||
 (((pc_ramblock_2_id == 3) && (pc_ramblock_2_slot == 3)) && (pc_ramblock_2_capacity == 5))) ||
 (((pc_ramblock_2_id == 6) && (pc_ramblock_2_slot == 3)) && (pc_ramblock_2_capacity == 2))) ||
 (((pc_ramblock_2_id == 5) && (pc_ramblock_2_slot == 3)) && (pc_ramblock_2_capacity == 3))) ||
 (((pc_ramblock_2_id == 4) && (pc_ramblock_2_slot == 3)) && (pc_ramblock_2_capacity == 3))) ||
 (((pc_ramblock_2_id == 2) && (pc_ramblock_2_slot == 3)) && (pc_ramblock_2_capacity == 9)));

((((((((((pc_ramblock_3_id == 1) && (pc_ramblock_3_slot == 1)) && (pc_ramblock_3_capacity == 1)) ||
 (((pc_ramblock_3_id == 1) && (pc_ramblock_3_slot == 3)) && (pc_ramblock_3_capacity == 1))) ||
 (((pc_ramblock_3_id == 7) && (pc_ramblock_3_slot == 1)) && (pc_ramblock_3_capacity == 2))) ||
 (((pc_ramblock_3_id == 3) && (pc_ramblock_3_slot == 3)) && (pc_ramblock_3_capacity == 5))) ||
 (((pc_ramblock_3_id == 6) && (pc_ramblock_3_slot == 3)) && (pc_ramblock_3_capacity == 2))) ||
 (((pc_ramblock_3_id == 5) && (pc_ramblock_3_slot == 3)) && (pc_ramblock_3_capacity == 3))) ||
 (((pc_ramblock_3_id == 4) && (pc_ramblock_3_slot == 3)) && (pc_ramblock_3_capacity == 3))) ||
 (((pc_ramblock_3_id == 2) && (pc_ramblock_3_slot == 3)) && (pc_ramblock_3_capacity == 9)));

((((((((pc_graphics_id == 1) && (pc_graphics_slot == 3)) ||
 ((pc_graphics_id == 4) && (pc_graphics_slot == 3))) ||
 ((pc_graphics_id == 7) && (pc_graphics_slot == 1))) ||
 ((pc_graphics_id == 3) && (pc_graphics_slot == 3))) ||
 ((pc_graphics_id == 6) && (pc_graphics_slot == 1))) ||
 ((pc_graphics_id == 5) && (pc_graphics_slot == 3))) ||
 ((pc_graphics_id == 2) && (pc_graphics_slot == 3)));

(((pc_motherboard_cpuslot == pc_processor_cpuslot) && (pc_processor_freq >= pc_motherboard_mincpufreq)) && (pc_processor_freq <= pc_motherboard_maxcpufreq));

((pc_motherboard_controllertype == pc_harddisk_0_bus) &&
(pc_motherboard_controllertype == pc_harddisk_1_bus));

((pc_motherboard_ramslot == pc_ramblock_0_slot) &&
(pc_motherboard_ramslot == pc_ramblock_1_slot) &&
(pc_motherboard_ramslot == pc_ramblock_2_slot) &&
(pc_motherboard_ramslot == pc_ramblock_3_slot));

(((((pc_ramblock_0_id == 1) >> 0) &&
((!((pc_ramblock_0_id == 1))) >> 1)) +
(((pc_ramblock_1_id == 1) >> 0) &&
((!((pc_ramblock_1_id == 1))) >> 1)) +
(((pc_ramblock_2_id == 1) >> 0) &&
((!((pc_ramblock_2_id == 1))) >> 1)) +
(((pc_ramblock_3_id == 1) >> 0) &&
((!((pc_ramblock_3_id == 1))) >> 1))) <= pc_motherboard_ramcapacity);

((((pc_ramblock_1_id > 1) >> (pc_ramblock_0_id > 1))) &&
(((pc_ramblock_2_id > 1) >> (pc_ramblock_0_id > 1)) &&
((pc_ramblock_2_id > 1) >> (pc_ramblock_1_id > 1))) &&
(((pc_ramblock_3_id > 1) >> (pc_ramblock_0_id > 1)) &&
((pc_ramblock_3_id > 1) >> (pc_ramblock_1_id > 1)) &&
((pc_ramblock_3_id > 1) >> (pc_ramblock_2_id > 1))));

((((pc_motherboard_slot_0 != 0) >> (pc_motherboard_slot_0 == pc_graphics_slot)) &&
((!((pc_motherboard_slot_0 != 0))) >> 0)) ||
(((pc_motherboard_slot_1 != 0) >> (pc_motherboard_slot_1 == pc_graphics_slot)) &&
((!((pc_motherboard_slot_1 != 0))) >> 0)) ||
(((pc_motherboard_slot_2 != 0) >> (pc_motherboard_slot_2 == pc_graphics_slot)) &&
((!((pc_motherboard_slot_2 != 0))) >> 0)) ||
(((pc_motherboard_slot_3 != 0) >> (pc_motherboard_slot_3 == pc_graphics_slot)) &&
((!((pc_motherboard_slot_3 != 0))) >> 0)) ||
(((pc_motherboard_slot_4 != 0) >> (pc_motherboard_slot_4 == pc_graphics_slot)) &&
((!((pc_motherboard_slot_4 != 0))) >> 0)) ||
(((pc_motherboard_slot_5 != 0) >> (pc_motherboard_slot_5 == pc_graphics_slot)) &&
((!((pc_motherboard_slot_5 != 0))) >> 0)) ||
(((pc_motherboard_slot_6 != 0) >> (pc_motherboard_slot_6 == pc_graphics_slot)) &&
((!((pc_motherboard_slot_6 != 0))) >> 0)) ||
(((pc_motherboard_slot_7 != 0) >> (pc_motherboard_slot_7 == pc_graphics_slot)) &&
((!((pc_motherboard_slot_7 != 0))) >> 0)));

(pc_harddisk_0_id > 1);

(pc_ramblock_0_id > 1);

(pc_clock == pc_processor_freq);

(pc_memory == (pc_ramblock_0_capacity +
pc_ramblock_1_capacity +
pc_ramblock_2_capacity +
pc_ramblock_3_capacity));

